/*  
// szkic 1
// instrukcja dołączenia biblioteki LiquidCrystal
  #include <LiquidCrystal.h>
  //definiujemy stałe
  const int rs = 2, en = 3, d4 = 4, d5 = 5, d6 = 6, d7 = 7;
  //i tworzymy "wyświetlacz" o nazwie wysw
  LiquidCrystal wysw (rs, en, d4, d5, d6, d7);
  //tworzymy licznik - deklarujemy zmienną licz
  int licz = 0;

  void setup() {
  // określamy odmianę wyświetlacza:
  wysw.begin(16, 2);
  // wyświetlamy napis:
  wysw.print("EdW Kurs Arduino");
  }

  void loop() {

  // wysw.clear(); // czyścimy ekran
  // ustawiamy kursor na początku drugiej linii:  
  wysw.setCursor(0, 1);
  // wyświetlamy stan licznika:
  wysw.print(licz);
  delay(1); // opóźnienie 1s
  licz++; // zwiększ stan licznika
  }
*/


/*
  // szkic 2
  #include <LiquidCrystal.h>
  LiquidCrystal lcd(2, 3, 4, 5, 6, 7);
  int zADC;   // obsługa termometru
  float temp; // obsługa termometru

  void setup() {
  lcd.begin(16, 2);
  //konfiguracja związana z termometrem:
  pinMode(A0, INPUT_PULLUP);
  analogReference(INTERNAL);
  }

  void loop() {
  zADC = 10 * analogRead(A0);
  temp = map(zADC, 5170, 4910, 210, 310);
  temp = temp / 10; // temperatura
  //żeby wyświetlić ujemną wartość
  // odejmujemy 30 stopni:
  temp = temp - 30;
  lcd.clear();  //czyścimy wyświetlacz
  lcd.print("Temperatura");
  lcd.setCursor(0, 1); //w dolnej linii:
  lcd.print("wynosi: ");
  //teraz wyświetlamy temperaturę ujemną
  // ze zmiennej temp typu float:
  lcd.print(temp, 1);
  lcd.write(223);    //symbol stopnia
  lcd.print('C');   //duża litera C
  delay(1000);    }
*/



/*
  // szkic 2 a - dłuższy napis
  #include <LiquidCrystal.h>
  LiquidCrystal lcd(2, 3, 4, 5, 6, 7);
  int zADC;   // obsługa termometru
  float temp; // obsługa termometru

  void setup() {
  lcd.begin(16, 2);
  //konfiguracja związana z termometrem:
  pinMode(A0, INPUT_PULLUP);
  analogReference(INTERNAL);
  }

  void loop() {
  zADC = 10 * analogRead(A0);
  temp = map(zADC, 5170, 4910, 210, 310);
  temp = temp / 10; // temperatura
  //żeby wyświetlić ujemną wartość
  // odejmujemy 30 stopni:
  temp = temp - 30;
  lcd.clear();  //czyścimy wyświetlacz
  lcd.print("Aktualna temperatura");
  lcd.setCursor(0, 1); //w dolnej linii:
  lcd.print("wynosi: ");
  //teraz wyświetlamy temperaturę ujemną
  // ze zmiennej temp typu float:
  lcd.print(temp, 1);
  lcd.write(223);    //symbol stopnia
  lcd.print('C');   //duża litera C
  delay(1000);    }
*/

/*
  //szkic 3
  #include <LiquidCrystal.h>
  LiquidCrystal lcd(2, 3, 4, 5, 6, 7);

  void setup() {
  lcd.begin(16, 2);
  }
  void loop() {
  lcd.clear();  //czyścimy wyświetlacz
  lcd.print("Aktualna temperatura");
  for (int pozycja = 0; pozycja < 12; pozycja++) {
    //dla pozycji 1...4 – przesuwanie w lewo:
    if (pozycja > 0 && pozycja < 5) {
      lcd.scrollDisplayLeft();
    }
    //dla pozycji 7...10 – przesuwanie w prawo:
    else if (pozycja > 6 && pozycja < 11) {
      lcd.scrollDisplayRight();
    }
    //a dla pozycji 0, 5, 6, 10 – bez przesuwania
    delay(300);  //czekaj 300ms
  }        //koniec pętli for
  }       //koniec funkcji loop()
*/

/*
  #include <LiquidCrystal.h>
  LiquidCrystal lcd(2, 3, 4, 5, 6, 7);

  void setup() {
  lcd.begin(16, 2);
  }
  void loop() {
  lcd.clear();  //czyścimy wyświetlacz
  lcd.print("Aktualna temperatura");
  delay(1000);
  for (int pozycja = 0; pozycja < 4; pozycja++) {
    lcd.scrollDisplayLeft();
    delay(300);  //czekaj 300ms
  }        //koniec pętli for
  delay(1000);
  }       //koniec funkcji loop()
*/

/*
// szkic 4
#include <LiquidCrystal.h>
LiquidCrystal lcd(2, 3, 4, 5, 6, 7);
int zADC;   // obsługa termometru
float temp; // obsługa termometru

void setup() {
  lcd.begin(16, 2);
  //konfiguracja związana z termometrem:
  pinMode(A0, INPUT_PULLUP);
  analogReference(INTERNAL);
}
void loop() {
  zADC = 10 * analogRead(A0);
  temp = map(zADC, 5170, 4910, 210, 310);
  temp = temp / 10; // temperatura
  //żeby wyświetlić ujemną wartość
  // odejmujemy 30 stopni:
  temp = temp - 30;
  lcd.clear();  //czyścimy wyświetlacz
  lcd.print("Aktualna temperatura");
  lcd.setCursor(0, 1); //w dolnej linii:
  lcd.print("wynosi: ");
  //teraz wyświetlamy temperaturę ujemną
  // ze zmiennej temp typu float:
  lcd.print(temp, 1);
  lcd.write(223);   //symbol stopnia
  lcd.print('C');   //duża litera C
  delay(2000);
  for(int pozycja=0; pozycja<4; pozycja++){
    //przesuwamy napis w lewo
    lcd.scrollDisplayLeft();
    //natomiast w dolnej linii
    //wyświetlamy wynik "z przesunięciem"
    //zależnym od pozycji górnego napisu
    lcd.setCursor(pozycja + 1, 1);
    lcd.print("wynosi: ");
    //teraz wyświetlamy temperaturę ujemną
    // ze zmiennej temp typu float:
    lcd.print(temp, 1);
    lcd.write(223);    //symbol stopnia
    lcd.print('C');   //duża litera C
    delay(400);  //czekaj 400ms
  }       //koniec pętli for
  delay(2000);
}       //koniec funkcji loop()
*/





